> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Out Msg Queue Sizes

> Get info with current sizes of messages queues by shards.



## OpenAPI

````yaml get /getOutMsgQueueSizes
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getOutMsgQueueSizes:
    get:
      tags:
        - blocks
      summary: Get Out Msg Queue Sizes
      description: Get info with current sizes of messages queues by shards.
      operationId: get_out_msg_queue_sizes_getOutMsgQueueSizes_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOutMsgQueueSizesResponse'
              examples:
                sample:
                  summary: Outgoing message queue sizes example
                  value:
                    ok: true
                    result:
                      '@type': blocks.outMsgQueueSizes
                      shards:
                        - '@type': blocks.outMsgQueueSize
                          id:
                            '@type': ton.blockIdExt
                            workchain: -1
                            shard: '-9223372036854775808'
                            seqno: 51149550
                            root_hash: aa5DrbypWLx+3hICy5IOusAsMB8LA+JY41tjUtlYVhQ=
                            file_hash: Yd96kDamNL490591/O2unVWv9FUrkANnso8ZMwEHtqU=
                          size: 0
                        - '@type': blocks.outMsgQueueSize
                          id:
                            '@type': ton.blockIdExt
                            workchain: 0
                            shard: '-9223372036854775808'
                            seqno: 56263368
                            root_hash: jdalpRwHiguMp1Vxij4gWAkdzeIN56M0mfrjb9tVvmY=
                            file_hash: /j8B/o8axBw0DZOlv1WGqvPh/KgJFeV8S4p3Ai2EDzQ=
                          size: 0
                      ext_msg_queue_size_limit: 8000
                      '@extra': 1755815024.4620872:9:0.8277963175010491
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetOutMsgQueueSizesResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/BlocksOutMsgQueueSizes'
              description: Outgoing message queue sizes for all shards.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    BlocksOutMsgQueueSizes:
      type: object
      description: Outgoing message queue sizes for shards.
      properties:
        '@type':
          type: string
          example: blocks.outMsgQueueSizes
        shards:
          type: array
          description: List of outgoing message queue sizes per shard.
          items:
            $ref: '#/components/schemas/BlocksOutMsgQueueSize'
        ext_msg_queue_size_limit:
          type: integer
          description: Limit for the external message queue size.
        '@extra':
          type: string
          description: Extra metadata for the response.
      required:
        - shards
        - ext_msg_queue_size_limit
    BlocksOutMsgQueueSize:
      type: object
      description: Size of the outgoing message queue for a shard.
      properties:
        '@type':
          type: string
          example: blocks.outMsgQueueSize
        id:
          $ref: '#/components/schemas/TonBlockIdExt'
          description: Block identifier for the shard.
        size:
          type: integer
          description: Queue size for the shard.
      required:
        - id
        - size
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.

````